# frozen_string_literal: true

require 'generators/upgrow'

module TestUnit
  module Generators
    class InputGenerator < Rails::Generators::NamedBase
      include Upgrow::Generators::Helper

      def create_test_file
        template('input_test.rb',
          File.join('test/inputs', class_path, "#{file_name}_input_test.rb"))
      end

      private

      def file_name
        super.delete_suffix('_input')
      end
    end
  end
end
