# frozen_string_literal: true

require 'generators/upgrow'

module TestUnit
  module Generators
    class RecordGenerator < Rails::Generators::NamedBase
      include Upgrow::Generators::Helper

      def create_test_file
        template('record_test.rb',
          File.join('test/records', class_path, "#{file_name}_record_test.rb"))
      end

      private

      def file_name
        super.delete_suffix('_record')
      end
    end
  end
end
