# frozen_string_literal: true

require 'generators/upgrow'

module TestUnit
  module Generators
    class RepositoryGenerator < Rails::Generators::NamedBase
      include Upgrow::Generators::Helper

      def create_test_file
        template('repository_test.rb',
          File.join('test/repositories', class_path,
            "#{file_name}_repository_test.rb"))
      end

      private

      def file_name
        super.delete_suffix('_repository')
      end
    end
  end
end
