# frozen_string_literal: true

require 'generators/upgrow'

module Upgrow
  module Generators
    class ActionGenerator < Rails::Generators::NamedBase
      include Helper

      def create_action_file
        template(
          'action.rb',
          File.join('app/actions', class_path, "#{file_name}_action.rb")
        )
      end

      private

      def file_name
        super.delete_suffix('_action')
      end
    end
  end
end
