# frozen_string_literal: true

require 'generators/upgrow'

module Upgrow
  module Generators
    class InputGenerator < Rails::Generators::NamedBase
      include Helper

      def create_input_file
        template(
          'input.rb',
          File.join('app/inputs', class_path, "#{file_name}_input.rb")
        )
      end

      hook_for :test_framework

      private

      def file_name
        super.delete_suffix('_input')
      end
    end
  end
end
