# frozen_string_literal: true

require 'generators/upgrow'

module Upgrow
  module Generators
    class ModelGenerator < Rails::Generators::NamedBase
      include Helper

      def create_model_file
        template(
          'model.rb',
          File.join('app/models', class_path, "#{file_name}.rb")
        )
      end

      hook_for :repository, default: :upgrow, as: :repository

      hook_for :record, default: :upgrow, as: :record

      hook_for :test_framework
    end
  end
end
