# frozen_string_literal: true

require 'generators/upgrow'

module Upgrow
  module Generators
    class RecordGenerator < Rails::Generators::NamedBase
      include Helper

      def create_record_file
        template(
          'record.rb',
          File.join('app/records', class_path, "#{file_name}_record.rb")
        )
      end

      hook_for :migration,
        default: :active_record,
        as: :migration do |instance, generator|
        instance.invoke(
          generator, ["create_#{instance.send(:table_name)}", instance.args]
        )
      end

      hook_for :test_framework

      private

      def file_name
        super.delete_suffix('_record')
      end
    end
  end
end
