# frozen_string_literal: true

require 'generators/upgrow'

module Upgrow
  module Generators
    class RepositoryGenerator < Rails::Generators::NamedBase
      include Helper

      def create_repository_file
        template(
          'repository.rb',
          File.join('app/repositories', class_path,
            "#{file_name}_repository.rb")
        )
      end

      hook_for :test_framework

      private

      def file_name
        super.delete_suffix('_repository')
      end
    end
  end
end
